| Home | Libraries | People | FAQ | More

## Struct equal_function

boost::interprocess::iunordered_set_index_aux::equal_function

## Synopsis

    // In header: <boost/interprocess/indexes/iunordered_set_index.hpp>

    struct equal_function {

      // public member functions
      bool operator()(const intrusive_compare_key_type &, const value_type &) const;
      bool operator()(const value_type &, const intrusive_compare_key_type &) const;
      bool operator()(const value_type &, const value_type &) const;
    };

## Description

### `equal_function` public member functions

1.     bool operator()(const intrusive_compare_key_type & i, const value_type & b) const;

2.     bool operator()(const value_type & b, const intrusive_compare_key_type & i) const;

3.     bool operator()(const value_type & b1, const value_type & b2) const;